[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: TSVN does not support NTLM authentication

From: Adrian Wilkins <adrian.wilkins_at_gmail.com>
Date: 2007-12-13 17:13:17 CET

Stefan Küng wrote:
> Adrian Wilkins wrote:
>>
>> .. which suggests you can override this behaviour through the API (at
>> the 0.26 level anyway).
>
> Yes, you can configure this with neon > 0.26.
>
>> This seems to have gone into the SVN sources at r21531, so it's
>> supported in 1.4.2 clients upwards. It looks as simple as editing
>> your servers file, creating a group for servers which you use SSPI
>> for, and adding the appropriate http-auth-types =
>> basic;digest;negotiate to the config.
>
> Almost correct: it's available in Subversion built from trunk (the
> upcoming 1.5), but *not* in 1.4.x - that part has not been backported
> (and there's a veto vote which prevents it from ever being backported).
>
D'oh. 1.4 doesn't even have libsvn_ra_neon where it's processed. My bad
for thinking that lower revision == support. Guess I'm just thinking too
three-dimensionally :-)

I'll have a look at any possible 1.4 / 1.5 WC incompatibility ; if it's
the same deal as 1.3 => 1.4 (e.g. highly incompatible) I shall have a
go, but I'll be restricting myself to the command-line client ; it's
just too easy to touch a WC with TSVN and accidentally have it "upgraded".

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tortoisesvn.tigris.org
For additional commands, e-mail: dev-help@tortoisesvn.tigris.org
Received on Thu Dec 13 17:13:27 2007

This is an archived mail posted to the TortoiseSVN Dev mailing list.